Re: [code] Textadept v9.1 Crash on Split Switching

From: Gabriel Dubatti <gdubatti.att.gmail.com>
Date: Tue, 20 Dec 2016 20:06:39 -0300

I receive this answer from the scite-interest group:

libgail is accessibility-related. Its possible it is a reference count
bug for accessibility described here:
https://groups.google.com/d/topic/scintilla-interest/F0qZxZxhAEg/discussion

Maybe a solution is coming...

Best wishes,

Gabriel

El 20/12/16 a las 19:20, Ryan Pusztai escribió:
> Hi Gabriel,
>
> Here is my output from the command:
> $ dpkg -l libgtk* | grep -e '^i' | grep -e 'libgtk-*[0-9]'
> ii libgtk-3-0:amd64 3.14.5-1+deb8u1 amd64 GTK+
> graphical user interface library
> ii libgtk-3-bin 3.14.5-1+deb8u1 amd64 programs
> for the GTK+ graphical user interface library
> ii libgtk-3-common 3.14.5-1+deb8u1 all common
> files for the GTK+ graphical user interface library
> ii libgtk2-perl 2:1.2492-4 amd64 Perl
> interface to the 2.x series of the Gimp Toolkit library
> ii libgtk2.0-0:amd64 2.24.25-3+deb8u1 amd64 GTK+
> graphical user interface library
> ii libgtk2.0-0-dbg 2.24.25-3+deb8u1 amd64 GTK+
> libraries and debugging symbols
> ii libgtk2.0-bin 2.24.25-3+deb8u1 amd64 programs
> for the GTK+ graphical user interface library
> ii libgtk2.0-cil 2.12.10-5.1 amd64 CLI
> binding for the GTK+ toolkit 2.12
> ii libgtk2.0-common 2.24.25-3+deb8u1 all common
> files for the GTK+ graphical user interface library
> ii libgtk2.0-dev 2.24.25-3+deb8u1 amd64
> development files for the GTK+ library
>
> Hope this helps.
>
> --
> Regards,
> Ryan
>
> On Tue, Dec 20, 2016 at 5:12 PM, Gabriel Dubatti <gdubatti.att.gmail.com
> <mailto:gdubatti.att.gmail.com>> wrote:
>
> Hi Ryan,
>
> Seems to be the same issue I have.
>
> What GTK version have you instaled?
>
> I run this command to find out: dpkg -l libgtk* | grep -e '^i' |
> grep -e 'libgtk-*[0-9]'
>
> and get:
>
> ii libgtk-3-0:i386 3.18.9-1ubuntu3.1 i386
> GTK+ graphical user interface library
> ii libgtk-3-bin 3.18.9-1ubuntu3.1 i386
> programs for the GTK+ graphical user interface library
> ii libgtk-3-common 3.18.9-1ubuntu3.1 all
> common files for the GTK+ graphical user interface library
> ii libgtk2-perl 2:1.2498-1 i386 Perl interface to
> the 2.x series of the Gimp Toolkit library
> ii libgtk2.0-0:i386 2.24.30-1ubuntu1 i386 GTK+
> graphical user interface library
> ii libgtk2.0-bin 2.24.30-1ubuntu1 i386
> programs for the GTK+ graphical user interface library
> ii libgtk2.0-common 2.24.30-1ubuntu1 all
> common files for the GTK+ graphical user interface library
> ii libgtk2.0-dev 2.24.30-1ubuntu1 i386
> development files for the GTK+ library
>
> Today, I filed a bug in scintilla about this because if you
> download gscite371.tgz from
> http://www.scintilla.org/SciTEDownload.html
> <http://www.scintilla.org/SciTEDownload.html> and run it, you get
> the same SIGSEGV when closing the about dialog.
>
> Thread 1 "SciTE" received signal SIGSEGV, Segmentation fault.
> 0xb67c4eef in ?? () from
> /usr/lib/i386-linux-gnu/gtk-2.0/modules/libgail.so
>
> Best regards,
>
> Gabriel
>
>
> El 20/12/16 a las 19:00, Ryan Pusztai escribió:
>> Hi,
>>
>> Textadept v9.1 is crashing on a switching between split panes.
>>
>> I removed my entire .textadept directory and used an empty one
>> and then I pressed Ctrl+Alt+V to split and then clicked the other
>> pain and TA crashed with a SegFault.
>>
>> If I use the menu it crashed immediately without showing a split.
>>
>> Debian x64 Jessie
>>
>> Let me know if you have any other questions.
>> --
>> Regards,
>> Ryan
>
>

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Tue 20 Dec 2016 - 18:06:39 EST

This archive was generated by hypermail 2.2.0 : Wed 21 Dec 2016 - 06:53:31 EST